package com.engine.kq.cmd.reportfielddefine;

import com.engine.common.biz.AbstractCommonCommand;
import com.engine.common.entity.BizLogContext;
import com.engine.core.interceptor.CommandContext;
import com.engine.kq.bean.RightMenu;
import com.engine.kq.bean.RightMenuType;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class GetRightMenuCmd extends AbstractCommonCommand<Map<String, Object>> {

    public GetRightMenuCmd(Map<String, Object> params, User user) {
        this.user = user;
        this.params = params;
    }

    @Override
    public Map<String, Object> execute(CommandContext commandContext) {
        Map<String, Object> resultMap = new HashMap<String, Object>();
        List<Object> rightMenuList = new ArrayList<Object>();//表示有权限可以看见的菜单List集合
        RightMenu rightMenu = null;

        rightMenu = new RightMenu(user.getLanguage(), RightMenuType.BTN_Save, "saveGroup", true);//保存
        rightMenuList.add(rightMenu);

        rightMenu = new RightMenu(user.getLanguage(), RightMenuType.BTN_CREATE_GROUP, "createGroup", true);
        rightMenuList.add(rightMenu);

        rightMenu = new RightMenu(user.getLanguage(), RightMenuType.BTN_EDIT_GROUP, "editGroup", true);
        rightMenuList.add(rightMenu);

        resultMap.put("btnMenu", rightMenuList);
        return resultMap;
    }

    @Override
    public BizLogContext getLogContext() {
        return null;
    }

}
